package com.steerinfo.meterwork.meterworkdatacount.model;

import java.math.BigDecimal;
import java.util.Date;

public class CarActualTareWeightComparison {
    private String carType;
    private String meterTypeName;
    private String actualNo;
    private String actualFirst1No;
    private String actualFirst2No;
    private String carNo;
    private String matterNo;
    private String matterName;
    private BigDecimal grossWeight;
    private BigDecimal tareWeight;
    private BigDecimal avgTareWeight;
    private BigDecimal avgTareWeightSub;
    private BigDecimal netWeight;
    private BigDecimal avgNetWeight;
    private BigDecimal avgNetWeightSub;
    private Date grossTime;
    private Date tareTime;
    private Date netTime;
    private String baseSpot1Name;
    private String baseSpot2Name;
    private String netSpot3Name;
    private String weightType;
    private String predictionNo;
    private String netSpot3No;
    private String rfidCode;
    private String grossManName;
    private String tareManName;
    private String netManName;
    private String forwardingUnitName;
    private String receivingUintName;
    private String voucherIdentity;
    private String senderRemark;
    private String conveyanceType;
    private String netMode;
    private String valueFlag;
    private String uploadFlag;

    public String getCarType() {
        return carType;
    }

    public void setCarType(String carType) {
        this.carType = carType;
    }

    public String getMeterTypeName() {
        return meterTypeName;
    }

    public void setMeterTypeName(String meterTypeName) {
        this.meterTypeName = meterTypeName;
    }

    public String getActualNo() {
        return actualNo;
    }

    public void setActualNo(String actualNo) {
        this.actualNo = actualNo;
    }

    public String getActualFirst1No() {
        return actualFirst1No;
    }

    public void setActualFirst1No(String actualFirst1No) {
        this.actualFirst1No = actualFirst1No;
    }

    public String getActualFirst2No() {
        return actualFirst2No;
    }

    public void setActualFirst2No(String actualFirst2No) {
        this.actualFirst2No = actualFirst2No;
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo;
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo;
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName;
    }

    public BigDecimal getGrossWeight() {
        return grossWeight;
    }

    public void setGrossWeight(BigDecimal grossWeight) {
        this.grossWeight = grossWeight;
    }

    public BigDecimal getTareWeight() {
        return tareWeight;
    }

    public void setTareWeight(BigDecimal tareWeight) {
        this.tareWeight = tareWeight;
    }

    public BigDecimal getAvgTareWeight() {
        return avgTareWeight;
    }

    public void setAvgTareWeight(BigDecimal avgTareWeight) {
        this.avgTareWeight = avgTareWeight;
    }

    public BigDecimal getAvgTareWeightSub() {
        return avgTareWeightSub;
    }

    public void setAvgTareWeightSub(BigDecimal avgTareWeightSub) {
        this.avgTareWeightSub = avgTareWeightSub;
    }

    public BigDecimal getNetWeight() {
        return netWeight;
    }

    public BigDecimal getAvgNetWeight() {
        return avgNetWeight;
    }

    public void setAvgNetWeight(BigDecimal avgNetWeight) {
        this.avgNetWeight = avgNetWeight;
    }

    public BigDecimal getAvgNetWeightSub() {
        return avgNetWeightSub;
    }

    public void setAvgNetWeightSub(BigDecimal avgNetWeightSub) {
        this.avgNetWeightSub = avgNetWeightSub;
    }

    public void setNetWeight(BigDecimal netWeight) {
        this.netWeight = netWeight;
    }

    public Date getGrossTime() {
        return grossTime;
    }

    public void setGrossTime(Date grossTime) {
        this.grossTime = grossTime;
    }

    public Date getTareTime() {
        return tareTime;
    }

    public void setTareTime(Date tareTime) {
        this.tareTime = tareTime;
    }

    public Date getNetTime() {
        return netTime;
    }

    public void setNetTime(Date netTime) {
        this.netTime = netTime;
    }

    public String getBaseSpot1Name() {
        return baseSpot1Name;
    }

    public void setBaseSpot1Name(String baseSpot1Name) {
        this.baseSpot1Name = baseSpot1Name;
    }

    public String getBaseSpot2Name() {
        return baseSpot2Name;
    }

    public void setBaseSpot2Name(String baseSpot2Name) {
        this.baseSpot2Name = baseSpot2Name;
    }

    public String getNetSpot3Name() {
        return netSpot3Name;
    }

    public void setNetSpot3Name(String netSpot3Name) {
        this.netSpot3Name = netSpot3Name;
    }

    public String getWeightType() {
        return weightType;
    }

    public void setWeightType(String weightType) {
        this.weightType = weightType;
    }

    public String getPredictionNo() {
        return predictionNo;
    }

    public void setPredictionNo(String predictionNo) {
        this.predictionNo = predictionNo;
    }

    public String getNetSpot3No() {
        return netSpot3No;
    }

    public void setNetSpot3No(String netSpot3No) {
        this.netSpot3No = netSpot3No;
    }

    public String getRfidCode() {
        return rfidCode;
    }

    public void setRfidCode(String rfidCode) {
        this.rfidCode = rfidCode;
    }

    public String getGrossManName() {
        return grossManName;
    }

    public void setGrossManName(String grossManName) {
        this.grossManName = grossManName;
    }

    public String getTareManName() {
        return tareManName;
    }

    public void setTareManName(String tareManName) {
        this.tareManName = tareManName;
    }

    public String getNetManName() {
        return netManName;
    }

    public void setNetManName(String netManName) {
        this.netManName = netManName;
    }

    public String getForwardingUnitName() {
        return forwardingUnitName;
    }

    public void setForwardingUnitName(String forwardingUnitName) {
        this.forwardingUnitName = forwardingUnitName;
    }

    public String getReceivingUintName() {
        return receivingUintName;
    }

    public void setReceivingUintName(String receivingUintName) {
        this.receivingUintName = receivingUintName;
    }

    public String getVoucherIdentity() {
        return voucherIdentity;
    }

    public void setVoucherIdentity(String voucherIdentity) {
        this.voucherIdentity = voucherIdentity;
    }

    public String getSenderRemark() {
        return senderRemark;
    }

    public void setSenderRemark(String senderRemark) {
        this.senderRemark = senderRemark;
    }

    public String getConveyanceType() {
        return conveyanceType;
    }

    public void setConveyanceType(String conveyanceType) {
        this.conveyanceType = conveyanceType;
    }

    public String getNetMode() {
        return netMode;
    }

    public void setNetMode(String netMode) {
        this.netMode = netMode;
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag;
    }

    public String getUploadFlag() {
        return uploadFlag;
    }

    public void setUploadFlag(String uploadFlag) {
        this.uploadFlag = uploadFlag;
    }
}
